import request from '@/assets/js/utils/request'
/*
 * =======================供应商-缴费==============================
 * */
// 供应商 查看缴费详情
export function queryDocumentRecordSupplier(data) {
  return request({
    url: '/bidprocurement/procurement-protdoc/procurementProcfile/queryDocumentRecordSupplier?packId=' + data,
    method: 'post'
  })
}
// 获取缴纳标书费信息
export function paymentOfTenderFeeMessage(data) {
  return request({
    url: '/bidprocurement/procurement-protdoc/procurementProcfile/paymentOfTenderFeeMessage?packId=' + data,
    method: 'post'
  })
}
// 获取缴纳纳标书费信息 -- 保存数据信息
export function savePaymentOfTenderFeeMessage(data) {
  return request({
    url: '/bidprocurement/procurement-protdoc/procurementProcfile/savePaymentOfTenderFeeMessage',
    method: 'post',
    data
  })
}
// 采购文件（二级驱动）
export function getProcurementProcfileByPackId(packId) {
  return request({
    url: '/bidprocurement/procurement-protdoc/procurementProcfile/getProcurementProcfileByPackId?packId=' + packId,
    method: 'post'
  })
}
// 获取评标步骤所有字典信息
export function queryProcurementEvaluationInitInfo() {
  return request({
    url: '/bidprocurement/procurement-protdoc/procurementBidEvaluationProcedure/queryProcurementEvaluationInitInfo',
    method: 'post'
  })
}
// 根据标段id获取评标步骤集合
export function queryBidEvaluationProcedureListByPackId(packId) {
  return request({
    url: '/bidprocurement/procurement-protdoc/procurementBidEvaluationProcedure/queryBidEvaluationProcedureListByPackId?packId=' + packId,
    method: 'post'
  })
}
// 添加修改评标步骤
export function saveOrUpdateBidEvaluationProcedure(data) {
  return request({
    url: '/bidprocurement/procurement-protdoc/procurementBidEvaluationProcedure/saveOrUpdateBidEvaluationProcedure',
    method: 'post',
    data
  })
}
// 根据id删除评标步骤
export function deleteBidEvaluationProcedureListById(id, packId) {
  return request({
    url: '/bidprocurement/procurement-protdoc/procurementBidEvaluationProcedure/deleteBidEvaluationProcedureListById?id=' + id + '&packId=' + packId,
    method: 'post'
  })
}
// 根据id获取评标步骤信息
export function getBidEvaluationProcedureById(id, totalScore) {
  return request({
    url: '/bidprocurement/procurement-protdoc/procurementBidEvaluationProcedure/getBidEvaluationProcedureById?id=' + id + '&totalScore=' + totalScore,
    method: 'get'
  })
}
// 根据id获取评标步骤信息
export function saveDownloadProcfileRecord(data) {
  return request({
    url: '/bidprocurement/procurement-protdoc/procurementProcfile/saveDownloadProcfileRecord',
    method: 'post',
    data
  })
}

// 保存评审指标信息
export function saveOrUpdateEvaluationFactor(data) {
  return request({
    url: '/bidprocurement/procurement-protdoc/procurementEvaluationFactor/saveOrUpdateEvaluationFactor',
    method: 'post',
    data
  })
}
// 点击评审指标（二级驱动节点）获取评审步骤
export function getEvaluationProcedureListByPackId(packId) {
  return request({
    url: '/bidprocurement/procurement-protdoc/procurementBidEvaluationProcedure/getEvaluationProcedureListByPackId?packId=' + packId,
    method: 'post'
  })
}
// 根据评标步骤查询评审指标
export function queryEvaluationFactorListByProcedureId(data) {
  return request({
    url: '/bidprocurement/procurement-protdoc/procurementEvaluationFactor/queryEvaluationFactorListByProcedureId',
    method: 'post',
    data
  })
}
// 根据id删除评审指标
export function deleteEvaluationFactor(id, procedureId) {
  return request({
    url: '/bidprocurement/procurement-protdoc/procurementEvaluationFactor/deleteEvaluationFactor?id=' + id + '&procedureId=' + procedureId,
    method: 'post'
  })
}
// 根据id查询评审指标
export function queryEvaluationFactorById(id) {
  return request({
    url: '/bidprocurement/procurement-protdoc/procurementEvaluationFactor/queryEvaluationFactorById?id=' + id,
    method: 'post'
  })
}
// 根据评标步骤查询价格评审指标
export function queryQueryEvaluationFactorVo(procedureId) {
  return request({
    url: '/bidprocurement/procurement-protdoc/procurementEvaluationFactor/queryQueryEvaluationFactorVo?procedureId=' + procedureId,
    method: 'post'
  })
}
// 评审指标模板下载
export function downloadTemplate(procedureType) {
  return request({
    url: '/bidprocurement/procurement-protdoc/procurementEvaluationFactor/downloadTemplate?procedureType=' + procedureType,
    method: 'get',
    responseType: 'blob'
  })
}
// 采购文件生效
export function procurementProcfileTakeEffect(data) {
  return request({
    url: '/bidprocurement/procurement-protdoc/procurementProcfile/procurementProcfileTakeEffect',
    method: 'post',
    data
  })
}
// 审核标书费（其他）
export function auditFeeDocument(data) {
  return request({
    url: '/bidprocurement/procurement-protdoc/procurementProcfile/auditFeeDocument',
    method: 'post',
    data
  })
}
// 删除附件时，同时删除数据表信息
export function deleteProtProcfile(bizId) {
  return request({
    url: '/bidprocurement/procurement-protdoc/procurementProcfile/deleteProtProcfile?bizId=' + bizId,
    method: 'post'
  })
}
// 步骤上/下移
export function mobileSteps(data) {
  return request({
    url: '/bidprocurement/procurement-protdoc/procurementBidEvaluationProcedure/mobileSteps',
    method: 'post',
    data
  })
}
